<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.controller' );

/**
 * ReDJ Controller Pages 404
 *
 * @package ReDJ
 *
 */
class ReDJControllerPages404 extends JController
{
    function __construct()
    {
        parent::__construct();

        // Register Extra tasks
        $this->registerTask( 'add',  'display' );
        $this->registerTask( 'edit', 'display' );
        $this->registerTask( 'about', 'about' );
    }

    function display( )
    {
        switch($this->getTask())
        {
            case 'add':
            {
                JRequest::setVar( 'hidemainmenu', 1 );
                JRequest::setVar( 'layout', 'form' );
                JRequest::setVar( 'view' , 'itempages404' );
                JRequest::setVar( 'edit', false );

                // Checkout the item pages 404
                $model = $this->getModel('itempages404');
                $model->checkout();
            } break;
            case 'edit':
            {
                JRequest::setVar( 'hidemainmenu', 1 );
                JRequest::setVar( 'layout', 'form' );
                JRequest::setVar( 'view'  , 'itempages404' );
                JRequest::setVar( 'edit', true );

                // Checkout the item pages 404
                $model = $this->getModel('itempages404');
                $model->checkout();
            } break;
            default:
            {
                JRequest::setVar( 'view'  , 'pages404' );
            } break;
        }

        parent::display();
    }

    function store()
    {
        $post   = JRequest::get('post');
        $cid    = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        $page   = JRequest::getVar( 'page', '', 'post', 'string', JREQUEST_ALLOWRAW );
        $post['id'] = (int)$cid[0];
        $post['page'] = $page ;
        $this->id = $post['id'] ;

        $model = $this->getModel('itempages404');

        if ($model->store($post)) {
            $this->msg = JText::_( 'Item Saved' );
        } else {
            $this->msg = JText::_( 'Error Saving Item' );
        }

        // Check in (unlock) item, so it can be edited...
        $model->checkin();
    }

    function save()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $this->store() ;
        $link = 'index.php?option=com_redj&controller=pages404';
        $this->setRedirect($link, $this->msg);
    }

    function apply()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $this->store() ;
        $link = 'index.php?option=com_redj&controller=pages404&view=itempages404&task=edit&cid[]=' . $this->id;
        $this->setRedirect($link, $this->msg);
    }

    function remove()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to delete' ) );
        }

        $model = $this->getModel('itempages404');
        if(!$model->delete($cid)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=pages404' );
    }


    function cancel()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        // Checkin the itempages404
        $model = $this->getModel('itempages404');
        $model->checkin();

        $this->setRedirect( 'index.php?option=com_redj&controller=pages404' );
    }

    function copy()
    {
      JRequest::checkToken() or jexit( 'invalid token' );

      $this->setRedirect( 'index.php?option=com_redj&controller=pages404' );

      $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
      $db =& JFactory::getDBO();
      $table =& JTable::getInstance('itempages404', 'Table');
      $n = count( $cid );

      if ($n > 0)
      {
        foreach ($cid as $id)
        {
          if ($table->load( (int)$id ))
          {
            $table->id            = 0;
            $table->title         = 'Copy of ' . $table->title;
            $table->hits          = 0;
            $table->checked_out   = false;

            if (!$table->store()) {
              return JError::raiseWarning( $table->getError() );
            }
          }
          else {
            return JError::raiseWarning( 500, $table->getError() );
          }
        }
      }
      else {
        return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
      }
      $this->setMessage( JText::sprintf( 'Items copied', $n ) );
    }
}
?>
