<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author Luigi Balzano (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.controller' );

/**
 * ReDJ Controller
 *
 * @package ReDJ
 *
 */
class ReDJControllerReDJ extends JController
{
    function __construct()
    {
        parent::__construct();

        // Register Extra tasks
        $this->registerTask( 'add',  'display' );
        $this->registerTask( 'edit', 'display' );
        $this->registerTask( 'about', 'about' );
    }

    function display( )
    {
        switch($this->getTask())
        {
            case 'add':
            {
                JRequest::setVar( 'hidemainmenu', 1 );
                JRequest::setVar( 'layout', 'form' );
                JRequest::setVar( 'view' , 'itemredj' );
                JRequest::setVar( 'edit', false );

                // Checkout the item redj
                $model = $this->getModel('itemredj');
                $model->checkout();
            } break;
            case 'edit':
            {
                JRequest::setVar( 'hidemainmenu', 1 );
                JRequest::setVar( 'layout', 'form' );
                JRequest::setVar( 'view'  , 'itemredj' );
                JRequest::setVar( 'edit', true );

                // Checkout the item redj
                $model = $this->getModel('itemredj');
                $model->checkout();
            } break;
            default:
            {
                JRequest::setVar( 'view'  , 'redj' );
            } break;
        }

        parent::display();
    }

    function about()
    {
        // Set toolbar items for the page
        JToolBarHelper::title(   JText::_( 'ReDJ Manager' ), 'generic.png' );
        JToolBarHelper::preferences('com_redj', '380');
        echo "<h1>ReDJ Community</h1><h3>Version 1.5.7</h3><p>&copy; 2009 - 2012 <a href=\"http://www.selfget.com\" target=\"_blank\">selfget.com</a></p>";
        echo JText::_( 'REDJ ABOUT DESC' );
        echo "<br /><br />".JText::_( 'REDJ DONATE' )."<br /><br />";
        ?>
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
        <input type="hidden" name="cmd" value="_s-xclick">
        <input type="hidden" name="hosted_button_id" value="K76YLVMUBUQJA">
        <input type="image" src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
        <img alt="" border="0" src="https://www.paypalobjects.com/it_IT/i/scr/pixel.gif" width="1" height="1">
        </form>
        <?php
    }

    function store()
    {
        $post   = JRequest::get( 'post' );
        $cid    = JRequest::getVar( 'cid', array(0), 'post', 'array' );
        $fromurl = JRequest::getVar( 'fromurl', '', 'post', 'string', JREQUEST_ALLOWRAW );
        $tourl   = JRequest::getVar( 'tourl', '', 'post', 'string', JREQUEST_ALLOWRAW );
        $post['id'] = (int)$cid[0];
        $post['fromurl'] = $fromurl;
        $post['tourl'] = $tourl;
        $this->id = $post['id'];

        $model = $this->getModel('itemredj');

        if ($model->store($post)) {
            $this->msg = JText::_( 'Item Saved' );
        } else {
            $this->msg = JText::_( 'Error Saving Item' );
        }

        // Check in (unlock) item, so it can be edited...
        $model->checkin();
    }

    function save()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $this->store() ;
        $link = 'index.php?option=com_redj&controller=redj';
        $this->setRedirect($link, $this->msg);
    }

    function apply()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $this->store() ;
        $link = 'index.php?option=com_redj&controller=redj&view=itemredj&task=edit&cid[]=' . $this->id;
        $this->setRedirect($link, $this->msg);
    }

    function remove()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to delete' ) );
        }

        $model = $this->getModel('itemredj');
        if(!$model->delete($cid)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function publish()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to publish' ) );
        }

        $model = $this->getModel('itemredj');
        if(!$model->publish($cid, 1)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function unpublish()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to unpublish' ) );
        }

        $model = $this->getModel('itemredj');
        if(!$model->publish($cid, 0)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function cancel()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        // Checkin the itemredj
        $model = $this->getModel('itemredj');
        $model->checkin();

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function copy()
    {
      JRequest::checkToken() or jexit( 'invalid token' );

      $this->setRedirect( 'index.php?option=com_redj&controller=redj' );

      $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
      $db =& JFactory::getDBO();
      $table =& JTable::getInstance('itemredj', 'Table');
      $n = count( $cid );

      if ($n > 0)
      {
        foreach ($cid as $id)
        {
          if ($table->load( (int)$id ))
          {
            $table->id            = 0;
            $table->fromurl       = 'Copy of ' . $table->fromurl;
            $table->hits          = 0;
            $table->ordering      = 0;
            $table->published     = false;
            $table->checked_out   = false;

            if (!$table->store()) {
              return JError::raiseWarning( $table->getError() );
            }
          }
          else {
            return JError::raiseWarning( 500, $table->getError() );
          }
        }
      }
      else {
        return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
      }
      $this->setMessage( JText::sprintf( 'Items copied', $n ) );
    }

    function orderup()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $model = $this->getModel('itemredj');
        $model->move(-1);

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function orderdown()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $model = $this->getModel('itemredj');
        $model->move(1);

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function saveorder()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid     = JRequest::getVar( 'cid', array(), 'post', 'array' );
        $order   = JRequest::getVar( 'order', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);
        JArrayHelper::toInteger($order);

        $model = $this->getModel('itemredj');
        $model->saveorder($cid, $order);

        $this->setRedirect( 'index.php?option=com_redj&controller=redj', JText::_( 'New ordering saved' ) );
    }

    function case_on()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to change case setting' ) );
        }

        $model = $this->getModel('itemredj');
        if(!$model->setcase($cid, 1)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

    function case_off()
    {
        JRequest::checkToken() or jexit( 'invalid token' );

        $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
        JArrayHelper::toInteger($cid);

        if (count( $cid ) < 1) {
            JError::raiseError(500, JText::_( 'Select an item to change case setting' ) );
        }

        $model = $this->getModel('itemredj');
        if(!$model->setcase($cid, 0)) {
            echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
        }

        $this->setRedirect( 'index.php?option=com_redj&controller=redj' );
    }

}
?>
