<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.installer.installer');

global $plugin_path;
$plugin_path = $this->parent->getPath('source').DS.'plugin';
  
function com_install() {
  global $plugin_path;

  $db = & JFactory::getDBO();
  $db->debug(0);
  $e = true;

  $query = 'ALTER TABLE `#__redj` CHANGE `checked_out` `checked_out` int(11) unsigned NOT NULL default \'0\'';
  $db->setQuery($query);
  if (!$db->query()) {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  $query = 'ALTER TABLE `#__redj` ADD `redirect` int(3) unsigned NOT NULL DEFAULT \'301\' COMMENT \'HTTP STATUS CODE: 301, 307, 200\' AFTER `tourl`';
  $db->setQuery($query);
  if (!$db->query() && $db->getErrorNum() != '1060') {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  $query = 'ALTER TABLE `#__redj` ADD `case_sensitive` tinyint(1) NOT NULL default \'1\' AFTER `redirect`';
  $db->setQuery($query);
  if (!$db->query() && $db->getErrorNum() != '1060') {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  $query = 'ALTER TABLE `#__redj` ADD `last_visit` datetime NOT NULL DEFAULT \'0000-00-00 00:00:00\' AFTER `hits`';
  $db->setQuery($query);
  if (!$db->query() && $db->getErrorNum() != '1060') {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  $query = 'ALTER TABLE `#__redj_pages` CHANGE `checked_out` `checked_out` int(11) unsigned NOT NULL default \'0\'';
  $db->setQuery($query);
  if (!$db->query()) {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  $query = 'ALTER TABLE `#__redj_pages` ADD `last_visit` datetime NOT NULL DEFAULT \'0000-00-00 00:00:00\' AFTER `hits`';
  $db->setQuery($query);
  if (!$db->query() && $db->getErrorNum() != '1060') {
    echo('SQL "' . $query . '" failed');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): '.JText::_('SQL Error').' '.$db->stderr(true));
    $e = false;
  }

  // Install plugin
  $installer = new JInstaller();
  if (!$installer->install($plugin_path)) {
    echo('Plugin System - ReDJ installation failed: try to fix the problem and install the package again');
    JError::raiseWarning(1, 'ReDJInstaller::com_install(): Plugin installation failed');
    $e = false;
  } else {
    echo('Plugin System - ReDJ installed: remember to activate it <a href="index.php?option=com_plugins">here</a>');
  }

  return $e;
}

?>
