<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include library dependencies
jimport('joomla.filter.input');

/**
* ReDJ Table class
*
* @package ReDJ
*
*/
class TableItemReDJ extends JTable
{
 /**
  * Primary Key
  *
  * @var int
  */
 var $id = null;

 /**
  * @var string
  */
 var $fromurl = null;

 /**
  * @var string
  */
 var $tourl = null;

 /**
  * @var int
  */
 var $redirect = null;

 /**
  * @var int
  */
 var $case_sensitive = null;

 /**
  * @var int
  */
 var $hits = null;

 /**
  * @var datetime
  */
 var $last_visit = null;

 /**
  * @var int
  */
 var $ordering = null;

 /**
  * @var int
  */
 var $published = null;

  /**
   * @var boolean
   */
  var $checked_out = null;

 /**
  * Constructor
  *
  * @param object Database connector object
  * @since 1.0
  */
 function __construct(& $db) {
  parent::__construct('#__redj', 'id', $db);
 }

 /**
  * Overloaded check method to ensure data integrity
  *
  * @access public
  * @return boolean True on success
  * @since 1.0
  */
 function check() {
  /** check for unique fromurl */
  $query = 'SELECT id FROM #__redj WHERE fromurl = '.$this->_db->Quote($this->fromurl);
  $this->_db->setQuery($query);

  $xid = intval($this->_db->loadResult());
  if ($xid && $xid != intval($this->id)) {
   $this->_error = JText::sprintf('WARNNAMETRYAGAIN', JText::_('Item'));
   return false;
  }

  jimport('joomla.filter.output');

  return true;
 }
}
?>
