<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// Check to ensure this file is included in Joomla!  defined('_JEXEC') or die();
jimport( 'joomla.application.component.view');

/**
 * HTML View class for the ReDJ Pages 404 component
 *
 * @static
 * @package  ReDJ
 * @since 1.0
 */
class ReDJViewItemPages404 extends JView
{
  function display($tpl = null)
  {
    global $mainframe;

    if($this->getLayout() == 'form') {
      $this->_displayForm( $tpl );
      return;
    }

    //get the itempages404
    $itemredj = & $this->get('data');

    parent::display($tpl);
  }

  function _displayForm($tpl)
  {
    global $mainframe, $option;

    $db     = & JFactory::getDBO();
    $uri    = & JFactory::getURI();
    $user   = & JFactory::getUser();
    $model  = & $this->getModel( 'itempages404' );

    $lists = array();

    //get the itempages404
    $itempages404 = & $this->get('data');
    $isNew = ($itempages404->id < 1);

    // Fails if checked out not by 'me'
    if ($model->isCheckedOut( $user->get('id') )) {
      $msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'The list' ), $itempages404->title );
      $mainframe->redirect( 'index.php?option='. $option, $msg );
    }

    // Edit or Create?
    if (!$isNew)
    {
      $model->checkout( $user->get('id') );
    }
    else
    {
      // Initialise new record
      $itempages404->approved = 1;
      $itempages404->order = 0;
    }

    // build the html select list for ordering
    /*$query = 'SELECT ordering AS value, title AS text'
      . ' FROM #__redj_pages'
      . ' ORDER BY ordering';*/

    /*$lists['ordering'] = JHTML::_('list.specificordering',  $itempages404, $itempages404->id, $query, 1 );*/

    //clean itempages404 data
    jimport('joomla.filter.output');
    JFilterOutput::objectHTMLSafe( $itempages404, ENT_QUOTES, 'text' );

    $this->assignRef('lists', $lists);
    $this->assignRef('itempages404', $itempages404);

    parent::display($tpl);
  }
}
?>
