<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// Check to ensure this file is included in Joomla!  defined('_JEXEC') or die();
jimport( 'joomla.application.component.view');

/**
 * HTML View class for the ReDJ component
 *
 * @static
 * @package  ReDJ
 * @since 1.0
 */
class ReDJViewItemReDJ extends JView
{
  function display($tpl = null)
  {
    global $mainframe;

    if($this->getLayout() == 'form') {
      $this->_displayForm( $tpl );
      return;
    }

    //get the itemredj
    $itemredj = & $this->get('data');

    parent::display($tpl);
  }

  function _displayForm($tpl)
  {
    global $mainframe, $option;

    $db     = & JFactory::getDBO();
    $uri    = & JFactory::getURI();
    $user   = & JFactory::getUser();
    $model  = & $this->getModel( 'itemredj' );

    $lists = array();

    //get the itemredj
    $itemredj  = & $this->get('data');
    $isNew = ($itemredj->id < 1);

    // Fails if checked out not by 'me'
    if ($model->isCheckedOut( $user->get('id') )) {
      $msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'The list' ), $itemredj->fromurl );
      $mainframe->redirect( 'index.php?option='. $option, $msg );
    }

    // Edit or Create?
    if (!$isNew)
    {
      $model->checkout( $user->get('id') );
    }
    else
    {
      // Initialise new record
      $itemredj->published = 1;
      $itemredj->approved = 1;
      $itemredj->order = 0;
    }

    // build the html select list for ordering
    $query = 'SELECT ordering AS value, fromurl AS text'
      . ' FROM #__redj'
      . ' ORDER BY ordering';

    $lists['ordering'] = JHTML::_('list.specificordering',  $itemredj, $itemredj->id, $query, 1 );
    $lists['published'] = JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $itemredj->published );

    //clean itemredj data
    jimport('joomla.filter.output');
    JFilterOutput::objectHTMLSafe( $itemredj, ENT_QUOTES, 'text' );

    $this->assignRef('lists', $lists);
    $this->assignRef('itemredj', $itemredj);

    parent::display($tpl);
  }
}
?>
