<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// Check to ensure this file is included in Joomla!  defined('_JEXEC') or die();
jimport( 'joomla.application.component.view');

/**
 * HTML View class for the ReDJ Pages 404 component
 *
 * @static
 * @package ReDJ
 *
 */
class ReDJViewPages404 extends JView
{
  function display($tpl = null)
  {
    global $mainframe, $option;

    $db = & JFactory::getDBO();

   // Get the request variables
    $filter_state = $mainframe->getUserStateFromRequest( $option.'.p_filter_state', 'filter_state', '', 'word' );
    $filter_order = $mainframe->getUserStateFromRequest( $option.'.p_filter_order', 'filter_order', 'p.id', 'cmd' );
    $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'.p_filter_order_Dir', 'filter_order_Dir', 'asc', 'word' );
    $search = $mainframe->getUserStateFromRequest( $option.'.p_search', 'search', '', 'string' );

    // Convert search to lower case
    $search = JString::strtolower( $search );

    // Get data from the model
    $items = & $this->get( 'Data' );
    $total = & $this->get( 'Total' );
    $pagination = & $this->get( 'Pagination' );

    // state filter
    $lists['state'] = JHTML::_('grid.state', $filter_state );

    // table ordering
    $lists['order_Dir'] = $filter_order_Dir;
    $lists['order'] = $filter_order;

    // search filter
    $lists['search'] = $search;

    $this->assignRef('user', JFactory::getUser());
    $this->assignRef('lists', $lists);
    $this->assignRef('items', $items);
    $this->assignRef('pagination', $pagination);

    parent::display($tpl);
  }
}
?>
